Skip to main content
POST
/
orgs
/
{orgId}
/
compliance
/
reports
/
{reportId}
/
export
cURL
curl --request POST \
  --url https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports/{reportId}/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "data": "<string>",
  "contentType": "<string>",
  "filename": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

reportId
string
required

Report identifier

Body

application/json

Input for exporting a compliance report

format
enum<string>

Override export format

Available options:
JSON,
CSV,
PDF

Response

200 - application/json

OK

Exported report data

data
string
required

Exported report data

contentType
string
required

MIME content type

filename
string
required

Suggested filename